Page MenuHomePhabricator

The search for the unquoted phrase "kilobyte(s)" fails to find the wanted issue
Closed, DeclinedPublic

Description

I go to phabricator.wikimedia.org
I search for: kilobyte(s)

Expected result:

The task T125316 is found.

Observed result:

No task is found.

It would be nice to correct this bug.

Thank you.

Nnemo


See also: https://www.mediawiki.org/wiki/Phabricator/Help#Search_terms (the section had been incorrectly removed from the help page)

Event Timeline

Nnemo created this task.Feb 21 2016, 6:07 AM
Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptFeb 21 2016, 6:07 AM
Nnemo awarded a token.Feb 21 2016, 6:08 AM
Nemo_bis updated the task description. (Show Details)Feb 21 2016, 10:53 AM
Aklapper triaged this task as Low priority.Feb 22 2016, 4:30 PM
mmodell closed this task as Invalid.Feb 22 2016, 7:25 PM
mmodell added a subscriber: mmodell.

@Nnemo: "kilobyte(s)" does find the issue, as long as you include the quotation marks around your search term. For example: Search for "kilobyte(s)"

Nnemo updated the task description. (Show Details)Feb 23 2016, 9:34 PM
Nnemo added a comment.Feb 23 2016, 9:57 PM

@Nnemo: "kilobyte(s)" does find the issue, as long as you include the quotation marks around your search term.

Thank you for tip. Indeed, with " this works. But I did not write ". So this issue is still valid.

Nnemo reopened this task as Open.Feb 23 2016, 9:58 PM
Aklapper closed this task as Invalid.Feb 23 2016, 10:56 PM

Closing as invalid as this is how the current search works and is documented.

Nnemo reopened this task as Open.Feb 24 2016, 6:28 PM

I type a word in a search. I expect the search to find the word. This is simple and reasonable.

If you cannot, or do not want to, change the search engine so that he meet this expectation, then this would make this issue "Declined", not "Invalid".

Aklapper closed this task as Declined.Feb 24 2016, 6:37 PM
Nnemo added a comment.Feb 24 2016, 7:51 PM

Closing as invalid as this is how the current search works and is documented.

  1. I do not see anything there that would warn me about kilobyte(s) not working.
  1. When I do a search, this documentation is not shown, neither a link to it.

We don't plan to add custom links to documentation items (because it would require maintaining such custom patches in a downstream fork). Improvements to oyr on-wiki documentation are very welcome!

Nemo_bis renamed this task from The search for the phrase "kilobyte(s)" fails to find the wanted issue to The search for the unquoted phrase "kilobyte(s)" fails to find the wanted issue.Mar 13 2016, 9:37 AM